Bug 1478884 - [RFE] no automatic removal of outdated custom properties during cluster compatibility upgrade
[RFE] no automatic removal of outdated custom properties during cluster compa...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
4.2.0
x86_64 Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Michal Skrivanek
Israel Pinto
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 08:40 EDT by Dafna Ron
Modified: 2017-09-28 04:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ipinto: testing_plan_complete+
dron: planning_ack?
dron: devel_ack?
dron: testing_ack?


Attachments (Terms of Use)
logs and screenshots (2.93 MB, application/x-gzip)
2017-08-07 08:40 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2017-08-07 08:40:53 EDT
Created attachment 1310046 [details]
logs and screenshots

Description of problem:

I failed cluster upgrade on custom properties and had to remove the custom properties for each of the vms one at a time. 


Version-Release number of selected component (if applicable):

ovirt-engine-4.1.4.2-0.1.el7.noarch

How reproducible:

100% 

Steps to Reproduce:
1. create vms with custom property 'macspoof' 
2. upgrade rhv from 4.0 to 4.1.4
3. change cluster compatibility from 4.0 to 4.1 
4. after the error message is presented -> navigate to vms tab -> edit the vm -> press ok

Actual results:

we have to remove the custom properties from each vm manually to be able to continue with the cluster compatibility version upgrade. 


Expected results:

in my case I only had about 10 vms but this can happen with a 100 - so I am not sure that we should ask the user to perform this action 1 vm at a time. 

I suggest the following: 
1. if we do not support the custom properties we should give a message that the custom properties are not supported -> press ok if you still like to upgrade
2. if it is supported than we should only give a warning that it may not work after the upgrade and if they still like to continue. 

In any case, doing it manually is not a great solution
 
Additional info: logs and screenshot
Comment 1 Dafna Ron 2017-08-08 09:20:16 EDT
after the upgrade I could see that the option to add macspoof was gone. 
in which case, i think we should remove the properties ourselves if the user decides to proceed with the cluster upgrade knowing that the custom properties will be removed in stead of getting them to do it one vm at a time.

Note You need to log in before you can comment on or make changes to this bug.